data:extend({
    {
        type = "projectile",
        name = "sonic-blast",

        flags = {"not-on-map"},
        collision_box = {{-1.00,-0.25}, {1.00,0.25}},
        direction_only = true,
        acceleration = 0,
        piercing_damage = 9999,

        action = {
            type = "direct",
            action_delivery = {
                type = "instant",
                target_effects = {
                    {type = "damage", damage = {type = "impact", amount = 5}},
                    {type = "create-sticker", sticker = "slowdown-sticker"},
                }
            }
        },

        animation =
        {
            filename = "__base__/graphics/entity/bullet/bullet.png",
            width = 3,
            height = 50,
            frame_count = 1,
            draw_as_glow = true,
        }
    },
    {
        type = "ammo",
        name = "sonoblaster-ammo",
        stack_size = 200,
        magazine_size = 10,
        icon = "__base__/graphics/icons/shotgun-shell.png",
        icon_size = 64,

        ammo_type = {
            category = "shotgun-shell",
            target_type = "direction",
            clamp_position = true,
            action = {
                type = "direct",
                action_delivery = {
                    {
                        type = "projectile",
                        projectile = "sonic-blast",
                        starting_speed = 0.5,
                        starting_speed_deviation = 0,
                        direction_deviation = 0,
                        range_deviation = 0,
                        max_range = 20
                    }
                }
            }
        }
    }
})
